> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# List Decklists

> List all decklists for events associated with the authenticated store profile



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/decklists/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/decklists/:
    get:
      tags:
        - decklists
      summary: List Decklists
      description: >-
        List all decklists for events associated with the authenticated store
        profile
      operationId: decklists_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDecklistList'
          description: ''
      security:
        - tokenAuth: []
        - cookieAuth: []
        - APIKey: []
        - APIKey: []
        - {}
components:
  schemas:
    PaginatedDecklistList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Decklist'
    Decklist:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        moxfield_deck_json:
          type: string
          nullable: true
        plaintext_list:
          type: string
          nullable: true
        moxfield_public_id:
          type: string
          nullable: true
          maxLength: 255
        deck_image_url:
          type: string
          readOnly: true
        archetype:
          type: string
          nullable: true
          maxLength: 255
      required:
        - deck_image_url
        - id
        - name
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    cookieAuth:
      type: apiKey
      in: cookie
      name: sessionid
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````